TestSorter Class Reference

Sorts tests to avoid using the order imposed by the order of construction of global objects, since this is inconsistent across compilers and platforms. More...

`#include <TestSorter.h>`

Inheritance diagram for TestSorter:

## Private Member Functions

virtual bool | visitEnter (TestSuite &testSuite)
| Returns true if the testSuite should be iterated through.

## Additional Inherited Members

Public Member Functions inherited from TestVisitor
virtual | ~TestVisitor ()
virtual bool | visit (TestCase &testCase)
| Visits a testCase and returns true if visiting of any other objects should continue after the testSuite has been visited.
virtual bool | visit (TestSuite &testSuite)
| The default implementation calls visitEnter and visits the added objects in forward order if the return value is true.
virtual bool | visitLeave (TestSuite &)
| Returns true if visiting of any other objects should continue after the testSuite has been visited.

## Detailed Description

Sorts tests to avoid using the order imposed by the order of construction of global objects, since this is inconsistent across compilers and platforms.

Definition at line 28 of file TestSorter.h.

## Member Function Documentation

## visitEnter()

bool TestSorter::visitEnter | ( | TestSuite & | testSuite | ) |

private virtual

Returns true if the testSuite should be iterated through.

Is called before testSuite is processed in any other way, and if return value is false, the testSuite will not be iterated through, according to the default implemenation of visit(TestCase&). The default implementation always returns true.

Reimplemented from TestVisitor.

Definition at line 22 of file TestSorter.cpp.

The documentation for this class was generated from the following files:

- src/test/TestSorter.h
- src/test/TestSorter.cpp